Compiling on linux - required packages

SDK for VST 3 audio plug-in and host development.
Post Reply
olilarkin
Posts: 23
Joined: Tue Jun 21, 2016 11:49 am

Compiling on linux - required packages

Post by olilarkin » Sat Oct 27, 2018 9:14 am

Which packages are required to build VST3 via cmake on linux? I am using ubuntu 18.04 bionic. Eventually managed to compile after installing lots of different libxcb... libxcb-keysyms1-dev was required although CMake didn't know about it.

A list of packages would be good to add to the readme!

thanks

oli

ygrabit
Posts: 129
Joined: Fri Jun 17, 2016 7:52 am
Location: Hamburg

Re: Compiling on linux - required packages

Post by ygrabit » Tue Oct 30, 2018 8:03 am

yes this will be added...
YVan Grabit

rhansen
Posts: 25
Joined: Mon Jun 20, 2016 7:43 am
Location: Hamburg

Re: Compiling on linux - required packages

Post by rhansen » Tue Oct 30, 2018 8:56 am

olilarkin wrote: A list of packages would be good to add to the readme!
This is what I installed on Ubuntu 18.04:

libx11-xcb-dev
libxcb-util-dev
libxcb-cursor-dev
libxcb-xkb-dev
libxkbcommon-dev
libxkbcommon-x11-dev
libfontconfig1-dev
libcairo2-dev
libgtkmm-3.0-dev
libsqlite3-dev
libxcb-keysyms1-dev

Will be added to the SDK.

René

Post Reply